VARKON Version 1.16 1998-04-03

> ## load_pm - Procedure

> Loads a module from disc
> Description
> Replaces the current active module with a module loaded from a file. The file to load must reside in the jobdirectory of the currently active project.
> Syntax
> load_pm(filename)
> STRING filename*132;
> Principal parameters

> filename | - The name of the modulefile without ".MBO".

> Optional parameters

> None. |

> Comments

> load_pm() may only be used in a MACRO module. Any other usage might crash the system. The current version of mbsc (1.16) does not check this.

> The name of the file must end with the usual ".MBO" for a VARKON module and the file must reside in the current jobdirectory. VARKON automatically adds the path to the current jobdirectory to the name and appends ".MBO".

> If the name of the module loaded is different from the current jobname, VARKON automatically changes the name of the loaded copy to that of the current job. Saving the job will always create a MBO-file with the same name as the current job. Note that this is different from the behaviour of load_gm().

> Use the run_mbs() procedure if yoy want to run the loaded module.

VARKON Homepage | Index